function value=get(obj,property)
% GET returns the value of a step property.
%
%   value=get(obj,property)
%       >> obj      = Step object
%       >> property = Step property
%
%   Property =   %'Name','Position','InputPotentialEnergy','OutputPotentialEnergy', 
%                 'InputWaveVector', 'OutputWaveVector'
%
%       << value    = Property value
%
%   Olivier Pujol (2010)
%
switch property 
    case 'Name'
        value=obj.name;
    case 'Position'
        value=obj.x;
    case 'InputPotentialEnergy'
        value=obj.Epe;
    case 'OutputPotentialEnergy'
        value=obj.Eps;
    case 'InputWaveVector'
        value=obj.ke;
    case 'OutputWaveVector'
        value=obj.ks;
    otherwise
        error([property,' is not a step property!']);
end
%
return;