function probability=normalization(sys,E,rho,pas)
%   NORMALIZATION verifies that the probability density is normalized to 1.
%
%   probability=normalization(sys,E,rho,pas)
%       >> sys 	= System
%       >> E 	= Physical object energy values
%       >> rho 	= Probability density
%       >> pas 	= Integration step
%       << probability (must be closed to 1)
%
% Olivier Pujol (2010)
%
if length(E)>=2
    En=input('Choose energy value:');
    Ep=nan(1,length(sys{1}));
    Ep(1)=sys{1}{1}(1);
    for ic=2:length(sys{1})
        Ep(ic)=get(sys{1}{ic},'OutputPotentialEnergy');
    end
    En=min(Ep)+En;    
    iE=find(abs(En-E)==min(abs(En-E))); % Gate corresponding to the closest value between En and E
end
if (length(E)==1),iE=1;end

probability=0;
for iz=1:length(sys{iE})
probability = probability+0.5*sum((rho{iz}(1:end-1)+rho{iz}(2:end))*pas);
end

return;